using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Villain.Data;

namespace Fiesta.Networking.Packets
{
	[AttributeUsage(AttributeTargets.Class)]
	public sealed class PacketTypeAttribute : Attribute
	{
		public UInt16 Type { get; private set; }

		public PacketTypeAttribute(UInt16 type)
		{
			Type = type;
		}

		public PacketTypeAttribute(object type)
		{
			Type = ((Enum)type).GetValue<UInt16>();
		}
	}
}